Subject: Re: (ION) ILMI-Based Server Discovery Re: (ION) ILMI-Based Server

From: "Ralph E. Droms" <[email-masked]>
Date: Tue, 10 Nov 1998 08:01:57 -0500 (EST)

message sent to [email-masked] by [email-masked] follows.
-------------------------------------------------------------------

> > I'm not familiar with 'ATMDHCP'. Is there a draft for this? 
> 
> I'm not familiar with it either; I just made it up.

Ok, I've thought about this in the past and would be happy to write up
a strawman 'dhcp over atm' document. I'd be happy to work with others 
too if there's interest. Anyone care one way or the other?

> About I know about an alleged ATMDHCP is:
> 
> o	The Cisco ATM Cable Interface Processor (ACIP) claims to
> 	support DHCP, in conjunction with Terayon's TeraComm System
> 	equipment (http://www.teracomm.com/), over cable TV systems.
> 	Apparently, the ACIP uses a PVC to "each active subscriber
> 	modem.  PVCs are created automatically..."
> 	See: http://cio-sys.cisco.com/warp/public/730/AIP/acip_ov.htm and
> 	http://www.cisco.com/univercd/cc/td/doc/product/core/cis7505/
> 		7310cfig/4256acip.htm

I believe that cable architectures require the set-top boxes (stb) to
always send to the head end. This makes the 'where do I send this dhcp
request' question pretty simple to answer. I'm sure someone more knowledgable
about cable networks will tell me why I'm insane.

> o	Join Systems, Inc. claims that their DHCP product supports
> 	"TCP/IP and ATM networks", (http://www.join.com/dhcp.html).
> 	I have no other information about how the Join Systems ATM/DHCP
> 	solution works.
>
> o	IANA assigned a BOOTP/DHCP extension number for use by "DHCP
> 	relay agents which terminate switched or permanent circuits".
> 	http://www.isi.edu/in-notes/iana/assignments/
> 		bootp-dhcp-extensions/bootp-dhcp-option-83
> 
> o	E-mail to the IETF DHC and ION working groups asking if anyone
> 	knew anything about DHCP over ATM networks has received no
> 	responses.
> 
> Beyond that, it seems to me that we all ought to be a bit embarrassed that,
> and someone please correct me if I am wrong, IETF protocols don't support
> DHCP over ATM networks.

At least a clear description of the various ways of using dhcp over atm
does not exist in the form of an ietf rfc. 

Mike